mod d_main;
mod d_strings;
mod doomdef;
mod hu_stuff;
mod m_argv;
mod m_misc;
mod w_wad;
mod math;


/// Main entry pointz
/// 
fn main() {

    if let Err(e) = std::panic::catch_unwind(|| {
        d_main::D_DoomMain();
    }) {
        eprintln!("Panic in Doom Main: {:?}", e);
    }
}
